function [index,width,details] = mk_chk(PV,MV,PVth,MVRth)
%-----------------------------------------------------------------------
% USAGE
%   [index,width] = mk_chk(PV,MV,PVth,MVRth)
%
% DESCRIPTION :
%	s_JEgɂouXeBNVffiۓcE[@j
%
% 	Rev.0.1;  11 Jul. 2003, Hiroshi Maruta
%	Rev.1.0;   8 Nov. 2004, Hidekazu Kugemoto
%
% INPUT :
%   PV      : ʃf[^(xNg)
%   MV      : ʃf[^(xNg)
%   PVth    : ʂ0ƌȂ臒l(XJ[)
%   MVRth   : ʂ̕ωȂƌȂԔ͈͓őʂω
%             ͈͂̑傫ɑ΂臒l(XJ[)
%
% OUTPUT :
%   index   : ouXeBbNNĂXebv̊
%	width	: Œ̓x̕ϒl(XJ[)
%
% ---  ---
% oûтŒꍇAʁiRg[ój͕ω
% ̂ɁAʁiouJx͗ʁj͓Ȃۂ
% Bł́AϐωȂۂPVthȏ㓮ȂƂ
% Ƃ܂BPVth͑mCY𖳎邱ƂړIł̂ŁC܂傫
% Kv͂܂D̏𖞂ԑтɐʂǂ̈ʂ̔
% ͂ŕω邩𒲂ׁA͈͂̑傫MVRthȏ̂ƂA̎ԑт
% ̓oǔŒĂƌȂ܂BoǔŒĂ
% Ȃeԑт̒̑aTvŊʂindexłB
% āAindex1ɋ߂قǃouXeBbN̓x͑傫ƍl
% ܂B
%	
%	Copyright (C) 2004-2011 JSPS PSE143 WS25, Japan.
%	All rights reserved. 
%	{vOі{vOύXvO̍Ĕzzւ܂D
%--------------------------------------------------------------------------
PVRth = PVth*5;
dPV = diff(PV);     % ʂ̍
n   = length(PV);   % ̒
stk = 0;            % oǔŒĂ鎞Ԃ̒ɑ

idx = find( abs(dPV)< PVth ); % ʂ̍臒lȉł鎞ԑт̌
stklength = [];  
details   = [];  

if(isempty(idx)==1) % ʂ̍臒lȉł鎞ԑт݂Ȃꍇ
  index = 0;
else                % ʂ̍臒lȉł鎞ԑт݂ꍇ
  idx2 = idx-(1:length(idx))';	% ԑтɊ܂܂͒lɂȂ悤ɍ׍H{

  % ʂ̍臒lȉł鎞ԑтŐ؂蕪ĊeX̎ԑт
  % ouŒĂ邩ǂ]
  while(isempty(idx2) ~= 1) 
    beg  = idx(1);              % ʂ̍臒lȉłԂ̊Jn
    area = find(idx2==idx2(1)); % ʂ̍臒lȉłԂ͈̔
    len  = length(area);        % ԑт̒߂
    timearea = beg:(beg+len);   % ʂ̍臒lȉłԂĂ鎞ԑ
    tmpMV = MV(timearea);       % ̎ԑтł̑
    tmpPV = PV(timearea);       % ̎ԑтł̐
    RM = max(tmpMV)-min(tmpMV); % ʂ͈̔͂̑傫
    RP = max(tmpPV)-min(tmpPV); % ʂ͈̔͂̑傫 
    if RM > MVRth & RP < PVRth  % ʂ͈̔͂̑傫lȏォH
      details   = [details; len, RM];
    end
    idx(area)  = []; % vZȕւɂ邽߁A]͍폜
    idx2(area) = [];
  end
  
  if ~isempty(details)
    index   = sum(details(:,1))/(n-1);  % ŒĂԂ̒TvŐK
    width   = mean(details(:,2));       % ŒĂ͕ς\lƂ
  else  
    index   = 0;
    width   = 0;
  end  
end
